# Super Tux Kart player's manual

Super Tux Kart player's manual
Introduction
SuperTuxKart (abbreviated STK) is a kart racing game, based on
Steve Baker's TuxKart (http://tuxkart.sourceforge.net). It was
picked up by the Linux Game Tome (http://www.happypenguin.org)
Game of the Month project and got a big overhaul during this time,
but was left in an unfinished state.
A new set of maintainers, namely hiker & coz, took over in 2006.
You can find more details on http://supertuxkart.berlios.de
Requirements
Hardware
* You need a 3D graphics card that can support OpenGL or Mesa.
* You should have a CPU that's running at 450MHz or better.
* You'll need at least 32Mb RAM.
* A sound card would be nice - but it's not essential.
* Ideally, you want a joystick - preferably one with at least 6
buttons - you can also drive from the keyboard or the mouse,
thought currently it is hard to drive with the mouse.
Software
Right now, SuperTuxKart runs under Linux and under Windoze using
the CygWin package. We hope MSVC/Windoze, MacOS, BSD, BeOS, etc.
ports to follow.
You need the following programs installed:
OpenGL (or Mesa 3.0 or later)
http://www.opengl.org, http://www.mesa3d.org
PLIB 1.8.4
http://plib.sourceforge.net
SDL 1.2
http://www.libsdl.org
OpenAL (optional, requires ALUT, MikMod)
http://www.openal.org
ALUT (optional, requires OpenAL, MikMod)
http://www.openal.org
MikMod (optional, requires OpenAL, ALUT)
http://mikmod.raphnet.net
Bullet (optional)
http://continuous.physics.com/Bullet/
If you wish to use bullet, you should see the README.bullet file
that should be in the main SuperTuxKart directory.
Controlling your kart
To win races you will need to master your controls. Here are the
predefined controls:
Player 1:
Steer : Left / Right arrow
Accelerate : Up arrow
Brake : Down arrow
Use item : Right control
Wheelie : Right shift
Rescue : Backspace
Player 2:
Steer : A / D key
Accelerate : W key
Brake : S key
Use item : Left control
Wheelie : Left shift
Rescue : Left alt
Player 3:
Steer : F / H key
Accelerate : T key
Brake : G key
Use item : N key
Wheelie : C key
Rescue : B key
Player 4:
Steer : J / L key
Accelerate : I key
Brake : K key
Use item : M key
Wheelie : . key
Rescue : / key
The rescue button is meant to be used if your kart is stuck; it
will send you to the track with your approximate progress, but
it will take a few seconds.
The Escape key pauses the game and shows the race menu. Also,
pressing Escape in a menu will exit from it, and in the main
menu it closes the game.
There are also some special functions:
F9 key - Toggle fullscreen during the race. Doesn't works on
Windows.
F10 key - Save the last 1000 frames into a file ./history.dat
This can be used to reproduce problems occurring
during a race. This is mainly useful for developers.
F11 key - Toggle wire-frame view.
F12 key - Toggle frame-per-second display.
The race screen
This screen has several components:
Position display (left) : here you will see the places of
everyone participating in the race; after the leader goes
though the goal, a counter will appear next to their images
showing how much time behind they are. The places are
initially colored in white, which will become a bit more red
with every lap finished; after the race is finished the
place appear in green.
Track map (bottom left corner) : this will show the position
of everyone, in relation to the track; humans are drawn with
bigger dots.
Lap (right of the track map) : the left number shows how many
laps you have completed, the right number shows how many laps
you have to complete to finish the race.
Item (top) : the number of items and what is that you are
holding is displayed here.
Power bar (right) : it displays how much power you have by
grabbing energizers.
Speed bar (bottom right) : shows how fast you are moving.
Steering wheel: when you steer, the front wheels do not rotate
to their limit instantly; instead, they take less than a
second to achieve full rotation. The current rotation is
displayed here.
Current place: here it is shown how much you have advanced in
comparation with your competitors.
Time: how much time it takes for you to reach the goal.
Game modes
Three different game modes are available:
1) Grand Prix
A set of several races, each with several laps
2) Quick Race
A single race (with between 1 and 5 laps)
3) Time Trial
A single race with a single lap only
Multiplayer
Split screen multi-player is supported, though you need a
somewhat powerful computer and graphics card to get a high frame
rate in this case. Network multi-player is not yet supported.
When playing with your friends, the screen will be divided in
cuadrants. Even thought there are default controls for all
players, you should change them if you feel uncomfortable, or
if you have a joystick.
Also, after you finish the race, you might want to go back to
give your friends some trouble!
Collectables
There are currently many 'good things' you can get (triggered by
touching an item box) and a few 'bad things'.
When you pick up one of the good things, you will see it on your
item box, and activate it by using an item (see above for
default key bindings).
Bad things happen immediately - and last for a few seconds
before 'going away' by themselves.
Notice that (unlike some kart games), the computer controlled
players also collect and use power-ups in the same way you do.
Energizers gradually fill up the energy level - as you collect
more, you'll find that an item cube will subsequently give you
two, three, four or five power-ups at one time!
Good Things

| Missiles: unguided but fast. If they hit anything (including the track), they explode impressively. The effect on a Kart is to stop it dead - so you have to accelerate again from zero.
| Homing missiles: slower than the regular kind - but they track the nearest kart and are quite hard to shake off.
| Fuzzy blob / Spark: even slower still, a kart can outrun them quite easily. They ricochet off the sides of the track and only explode when they hit a Kart. Since they are not moving fast, they'll tend to stay close to where you dropped them, thoughtyou won't know exactly where.
| Portable Zippers: these are just like the zippers on the track itself - they give you a sudden acceleration and temporarily increase the top speed of your kart.
| Portable parachutes: this pops out the back of all the karts in a better position than you and slows them down a for some seconds. The worse your position is, the higher the probabilities of getting this you have (but they are stillsmall). You can only have one at a time.
| Portable anvil: the driver in the first position gets dragged by a heavy anvil, allowing other drivers to catch up with him... like the portable parachutes, the worse your position is, the higher probabilities of getting this you have. However, you can't get this if the driver in the first position alreadyfinished the race, and you can't have more than one at a time.

Bad Things
Parachute: this pops out the back of your kart and slows you down
a little for a few seconds only. Enough to drop you back one place
if it's a close race though.
Anvil: gets dragged behind your kart on a rope for an even shorter
amount of time than the parachute... but the drag effect is much
stronger; your kart hardly moves at all.
Bomb: after 30 seconds the bomb will explode, but if another kart
touches you, the bomb will be transfered to it and the remaining
time will be reduced by 5 seconds. Also, the bomb can't be
transfered to the inmediate previous bomb holder.
Game mechanics and tips
As a racer in SuperTuxKart, your goal is to reach the
finish line before your opponents, but as a bonus you might want
to show your awesome driving skills.
The item cubes contain helpful objects; which item you get is
matter of luck. If you have an item already, you will only get
another item the random selection chooses the same item type as
the one you already have.
The energizers will increase the number of items you grab from a
single item cube. You may only have up to 5 items, except the
anvil and the parachute, since anvils are so heavy and you have
so many parachutes, there is not much room and you can only
carry one!
On the track there could be zippers, which will give you a boost
when you go over them. Avoid water and lava, since you can't
drive inside them and you will have to be rescued just before
you touch them!
There are also nasty things left on the track which will put an
anvil or a parachute on your kart.
It is best to drive in straight lines as much as posible without
going out of the track.
If you don't have items that you wish to use, try not to be in
a collision course towards other karts, since they might have
items of their own to throw at you! also, if they crash you
could go down with them.
If you are running rather fast, you can pop a wheelie, which gives
you an additional speed boost, but you can't steer your kart
while doing a wheelie (since your front wheels are not touching
the track), so be careful.
Hitting another kart does not do any damage to your kart or the
other kart, one of the karts will just be forced to a stand still,
loosing precious seconds.
When all human controlled karts finish the race, the game will wait
some seconds for the AI to finish the race. If the AI doesn't, it
will use the AI's current position as their final position.
Bugs in this version
* Sometimes you can be pushed through a solid object if you are
hit by another player when in contact with the surface.
There might of course be more.
Comand line options
Useful command line options:
-N, --no-start-screen Quick start without any menus
-l, --list-tracks List all tracks
-k, --numkarts NUM Number of karts to race
--kart NAME Use kart NAME
--list-karts Lists all available karts
--laps NUM Number of laps to play
--herring STYLE Use STYLE as your herring style
-f, --fullscreen Fullscreen display
-w, --windowed Windowed display
-s, --screensize WxH Set screensize, e.g. -s 800x600
-v, --version Show version
-h, --help Show command-line options
Support
If you have any problems, please send an e-mail to the
Super Tux Kart mailing list at supertuxkart-devel@list.berlios.de .
The archives of this mailing list can be found at
http://lists.berlios.de/pipermail/supertuxkart-devel/ .
Or post a bug report on the SuperTuxKart bug forum (no
registration is required):
http://developer.berlios.de/forum/forum.php?forum_id=23737
There is also a wiki at http://supertuxkart.berlios.de/wiki .
License
SuperTuxKart is released under the provisions of
the GNU General Public License (GPL).